kotlin-examples
===============

[![Obsolete JetBrains project](http://jb.gg/badges/obsolete.svg)](https://confluence.jetbrains.com/display/ALL/JetBrains+on+GitHub)

The repository is archived as we have moved towards other sources of examples, including project-specific and tutorial-based ones, such as https://www.jetbrains.com/help/kotlin-multiplatform-dev/multiplatform-samples.html, https://github.com/ktorio/ktor-samples and https://developer.android.com/samples.

===

Various examples for [Kotlin](https://kotlinlang.org/)

If anything is missing or seems confusing, please create an issue in the [Kotlin issue tracker](https://youtrack.jetbrains.com/newIssue?project=KT&c=Type%20Task&c=Subsystems%20Docs%20%26%20Examples&c=Assignee%20dmitry.romanov)

[Kotlin Multiplatform Mobile](https://kotlinlang.org/lp/mobile/):
- https://github.com/Kotlin/kmm-production-sample - This is an open-source, mobile, cross-platform application built with Kotlin Multiplatform Mobile (KMM). It’s a simple RSS reader, and you can download it from the [App Store](https://apps.apple.com/ru/app/kmm-rss-reader/id1563922264) and [Google Play](https://play.google.com/store/apps/details?id=com.github.jetbrains.rssreader.androidApp). It’s been designed to demonstrate how KMM can be used in real production projects.
- https://github.com/Kotlin/kmm-basic-sample - This is a Kotlin Multiplatform Mobile (KMM) sample project. It includes iOS and Android applications with a native UI and a module with code shared on iOS and Android.
- https://github.com/Kotlin/kmm-integration-sample - This is a sample project for the ["Make your Android application work on iOS"](https://kotlinlang.org/docs/mobile/integrate-in-existing-app.html) tutorial. Master branch contains the project’s initial state: it’s a simple Android application generated with the Android Studio “Login application” wizard. You could find the final state with the iOS application and shared KMM module in the [final branch](https://github.com/Kotlin/kmm-integration-sample/tree/final).
- https://github.com/Kotlin/kmm-with-cocoapods-sample  - This is a sample project  represents the case when Cocoapods dependencies added in Kotlin and there is no existing Xcode project.
- https://github.com/Kotlin/kmm-with-cocoapods-multitarget-xcode-sample - This project is intended to demonstrate how to connect Kotlin library to Xcode project with several targets: iOS, macOS, tvOS, watchOS
- https://github.com/Kotlin/kmm-with-cocoapods-xcode-two-kotlin-libraries-sample - This project is intended to demonstrate the connection of two Kotlin libraries to existing Xcode project through Cocoapods.

[Kotlin for Server-side](https://kotlinlang.org/lp/server-side/):
- https://github.com/ktorio/ktor-samples - A collection of ready-to-use samples for [Ktor](https://ktor.io/).
- https://github.com/spring-petclinic/spring-petclinic-kotlin - This is a Kotlin version of the [spring-petclinic](https://github.com/spring-projects/spring-petclinic) application.

[Kotlin for Web frontend](https://kotlinlang.org/docs/js-overview.html):
- https://github.com/Kotlin/full-stack-web-jetbrains-night-sample - A full-stack demo application written in Kotlin for JetBrains Night Moscow 2019.
- https://github.com/Kotlin/react-redux-todo-list-sample - This project is a PoC of using Kotlin (JS) and React, React-Dom, React-Router, Redux and React-Redux. This project is an implementation/translation of the react-redux [Todo List example project](https://redux.js.org/basics/example) in Kotlin (with the addition of react-router).
- https://github.com/Kotlin/full-stack-spring-collaborative-todo-list-sample - Collaborative todo-list with Spring, Kotlin and RSocket.

[Kotlin Native](https://kotlinlang.org/docs/native-overview.html):
- https://github.com/JetBrains/kotlin/tree/master/kotlin-native/samples - This repository contains a set of samples demonstrating how one can work with Kotlin/Native. 

[Kotlin for Android](https://kotlinlang.org/docs/android-overview.html): 
- https://developer.android.com/samples

Kotlin Script:
- https://github.com/Kotlin/kotlin-script-examples - This repository contains example projects and individual scripts, as well as links to the external examples demonstrating Kotlin Scripting functionality and API usage.

[Dokka](https://github.com/Kotlin/dokka): 
- https://github.com/Kotlin/dokka/tree/master/examples
